PAM_XDG(8)

NAME
pam_xdg - XDG PAM module

SYNOPSIS
[service-name] module-type control-flag pam_xdg [arguments]

DESCRIPTION
The xdg service module for PAM creates the runtime files base directory according to the Cross Desktop Group Base Directory Specification.

By default the directory is created under /var/run/xdg/$USER.

The following option may be passed to the authentication module:

runtime_dir_prefix=directory
    Use an alternate base directory

ENVIRONMENT

XDG_RUNTIME_DIR
    The location of the runtime files base directory created by this module. Note that the module does not set this environment variable.

STANDARDS
The directory created by this module conforms to the XDG Base Directory Specification: https://specifications.freedesktop.org/basedir-spec.

SEE ALSO
pam(3), pam.conf(5)

AUTHORS
The pam_xdg module and this manual page were written by Emmanuel Vadot <manu@FreeBSD.org>.